<script lang="ts">
  import { makeShapeId } from 'shared/model/shape'
  import Link from 'src/components/link/link.svelte'
</script>

<style>
  nav {
    margin-top: 20px;
    margin-bottom: 20px;
  }

  :global([data-ref='menuLink']) {
    margin: 6px;
  }
</style>

<nav>
  <Link ref="menuLink" route={['index', {}]}>Index</Link>
  <Link ref="menuLink" route={['shapes', {}]}>Shapes</Link>
  <Link ref="menuLink" route={['shape', { id: makeShapeId('2') }]}>Shape</Link>
</nav>
